# Class PersistentPaginatorDirective

#### Implements

- OnInit
- OnDestroy

- Defined in packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts:15

#####
Index

### Constructors

constructor

### Properties

id?

### Methods

getKey
ngOnDestroy
ngOnInit
restoreConfig
storeConfig

##
Constructors

### constructor

- new PersistentPaginatorDirective(
  matPaginator: MatPaginator,
  ): PersistentPaginatorDirective

  #### Parameters

  - matPaginator: MatPaginator

  #### Returns PersistentPaginatorDirective

  - Defined in packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts:22

##
Properties

### `Optional` id

id?: string

- Defined in packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts:18

##
Methods

### getKey

- getKey(): string

  #### Returns string

  - Defined in packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts:41

### ngOnDestroy

- ngOnDestroy(): void

  A callback method that performs custom clean-up, invoked immediately before a directive, pipe, or service instance is destroyed.

  #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts:37

### ngOnInit

- ngOnInit(): void

  A callback method that is invoked immediately after the default change detector has checked the directive's data-bound properties for the first time, and before any of the view or content children have been checked. It is invoked only once when the directive is instantiated.

  #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts:27

### restoreConfig

- restoreConfig(): null | { pageSize: number }

  #### Returns null | { pageSize: number }

  - Defined in packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts:50

### storeConfig

- storeConfig(): void

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/persistent-paginator.directive.ts:45